<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use Illuminate\Support\Facades\DB;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        // Delete old homepage settings
        DB::table('settings')->whereIn('key', [
            'home_page_title',
            'home_page_description',
            'home_page_commit_en',
            'home_page_des_commit_en',
            'home_page_our_promise_en',
            'home_page_details_promise_en',
        ])->delete();
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        // This is destructive, so no rollback
    }
};
